#
# Email settings
#
notify.enabled=false
connector.notify.from=support@becpg.fr
connector.notify.to=support@becpg.fr

mail.smtp.host=localhost
mail.smtp.port=25


#
# Plm activity settings
#
plm.activity.enabled=false
plm.activity.syncRemoteXml=<gs1:isPublicated xmlns:gs1="http://www.bcpg.fr/model/gs1/1.0" type="d:boolean" >false</gs1:isPublicated> \
						   <gs1:publicationDate xmlns:gs1="http://www.bcpg.fr/model/gs1/1.0" type="d:date" >%s</gs1:publicationDate>


#
# Remote settings
#
remote.scheme=http
remote.host=localhost
remote.port=80
remote.login=admin
remote.password=becpg


#connector.isV1API=false
#connector.compress.param=false

#
# FTP Settings
# ftp.protocol=ftp or ftps or sftp (default is ftp)
#
ftp.enabled=false
ftp.protocol=ftp
ftp.host= 
ftp.port=21
ftp.login= 
ftp.password=
ftp.destFolder=
ftp.deleteOnSuccess=false
#
# Destination folder
#

connector.dest.path=.
connector.query.template=(@cm\\:created:[%s TO MAX] OR @cm\\:modified:[%s TO MAX]) AND ( ASPECT:\"bcpg:productAspect\" OR TYPE:\"bcpg:client\" OR TYPE:\"bcpg:supplier\" ) 
connector.plugin.class=fr.becpg.connector.plugin.StandardCSVVisitor
#,fr.becpg.connector.plugin.StandardDocumentVisitor,fr.becpg.connector.plugin.WorkflowCSVVisitor

# https://commons.apache.org/proper/commons-csv/apidocs/org/apache/commons/csv/CSVFormat.html
# Excel/InformixUnloadCsv/MongoDBCsv/Oracle/PostgreSQLCsv/RFC4180/TDF
# Default is CSVFormat.EXCEL.withQuoteMode(QuoteMode.ALL).withDelimiter(';')
# NoQuoteFormat is CSVFormat.EXCEL.withEscape('\\').withQuoteMode(QuoteMode.NONE).withDelimiter(';')
connector.csv.format=

#mapping.csv.assoc_separator=|

#connector.csv.appendToExistingFiles=true


connector.csv.decimalFormat=#.####
#connector.csv.dateFormat=dd/MM/yyyy
#https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/text/DecimalFormat.html
#connector.csv.xlsxMapping=./doc/a3pim/sample/mapping.xlsx

#
#MultiLevel conf
#

#connector.plugin.class=fr.becpg.connector.plugin.MultiLevelCSVVisitor 
#connector.query.template=(@cm\\:created:[%s TO MAX] OR @cm\\:modified:[%s TO MAX]) AND ( TYPE:\"bcpg:finishedProduct\" OR TYPE:\"bcpg:semiFinishedProduct\")

#
# Document properties
#


#connector.plugin.class=fr.becpg.connector.plugin.StandardDocumentVisitor
mapping.document.bcpg_finishedProduct=/Images/produit.jpg|img_produit${bcpg:erpCode}.jpg;/Documents/${cm:name} - Fiche Technique Client.pdf|${cm:title}_${bcpg:code}.pdf
mapping.document.bcpg_rawMaterial=/Images/produit.jpg|img_produit${bcpg:erpCode}.jpg;/Documents/${cm:name} - Fiche Technique Client.pdf|FT_client${bcpg:erpCode}.pdf
mapping.document.bcpg_semiFinishedProduct=/Images/produit.jpg|img_produit${bcpg:erpCode}.jpg;/Documents/${cm:name} - Fiche Technique Client.pdf|FT_client${bcpg:erpCode}.pdf


#
# Workflow properties
#

#connector.plugin.class=fr.becpg.connector.plugin.WorkflowCSVVisitor

connector.query.workflow.template=startedAfter=%s
# Possible values are:
# state,initiator,priority
# ,dueBefore,dueAfter,
# ,definitionId,definitionName,
# ,startedBefore,startedAfter
# ,completedBefore,completedAfter,exclude

mapping.csv.workflow_instances=id,name,title,description\
								,package|cm:name,formula|props["package\\|path"]!=null ?props["package\\|path"].split("/")[props["package\\|path"].split("/").length-1]:""\
								,isActive,startDate,priority,message,endDate,dueDate,initiator.userName,initiator.firstName,initiator.lastName
mapping.csv.workflow_tasks=workflowInstance|id,workflowInstance|name,id,state,name,title,description,bpm:completionDate,bpm:workflowDueDate

#
#CSV files properties
#
#mapping.csv.bcpg_finishedProduct.fileName=Custom file name
mapping.csv.bcpg_finishedProduct=bcpg:code,bcpg:erpCode,cm:name,cm:title,bcpg:eanCode,bcpg:legalName,cm:description,bcpg:entityTplRef\
					,bcpg:productHierarchy1,bcpg:productHierarchy2,bcpg:bestBeforeDate,bcpg:certificateDate,bcpg:contractDate\
					,bcpg:foodContact,bcpg:netWeightUnit,bcpg:numberOfServings,bcpg:packagingDescription,bcpg:periodAfterOpening\
					,bcpg:precautionOfUseRef,bcpg:preparationTips,bcpg:priceCurrency,bcpg:productComments,bcpg:productDensity\
					,bcpg:productMicrobioCriteriaRef,bcpg:productQty,bcpg:productSpecifications,bcpg:productState,bcpg:productUnit\
					,bcpg:projectedQty,bcpg:servingSize,bcpg:startEffectivity,bcpg:storageConditionsRef\
					,bcpg:supplierPlants,bcpg:suppliers,bcpg:suppliers|bcpg:code,bcpg:suppliers|bcpg:erpCode\
					,bcpg:clients,bcpg:clients|bcpg:code,bcpg:clients|bcpg:erpCode,bcpg:unitPrice,bcpg:useByDate
					
#mapping.csv.bcpg_finishedProduct.1.fileName=Sample file name
#mapping.csv.bcpg_finishedProduct.1=bcpg:code,bcpg:erpCode,cm:name					
						
mapping.csv.bcpg_semiFinishedProduct=bcpg:code,bcpg:erpCode,cm:name,cm:title,bcpg:eanCode,bcpg:code,bcpg:legalName,cm:description,bcpg:entityTplRef\
					,bcpg:productHierarchy1,bcpg:productHierarchy2,bcpg:bestBeforeDate,bcpg:certificateDate,bcpg:contractDate\
					,bcpg:foodContact,bcpg:netWeightUnit,bcpg:numberOfServings,bcpg:packagingDescription,bcpg:periodAfterOpening\
					,bcpg:precautionOfUseRef,bcpg:preparationTips,bcpg:priceCurrency,bcpg:productComments,bcpg:productDensity\
					,bcpg:productMicrobioCriteriaRef,bcpg:productQty,bcpg:productSpecifications,bcpg:productState,bcpg:productUnit\
					,bcpg:projectedQty,bcpg:servingSize,bcpg:startEffectivity,bcpg:storageConditionsRef\
					,bcpg:supplierPlants,bcpg:suppliers,bcpg:suppliers|bcpg:code,bcpg:suppliers|bcpg:erpCode\
					,bcpg:clients,bcpg:clients|bcpg:code,bcpg:clients|bcpg:erpCode,bcpg:unitPrice,bcpg:useByDate				

mapping.csv.bcpg_rawMaterial=bcpg:code,bcpg:erpCode,cm:name,cm:title,bcpg:productGeoOrigin|bcpg:geoOriginISOCode
					
mapping.csv.bcpg_packagingMaterial=bcpg:code,bcpg:erpCode,cm:name,pack:pmMaterialRefs|bcpg:lvValue

mapping.csv.bcpg_client=bcpg:code,bcpg:erpCode,cm:name,bcpg:clientState,cm:title,bcpg:locationAddress1\
						,bcpg:locationAddress2,bcpg:locationAddress3,bcpg:locationZip,bcpg:locationCity\
						,bcpg:locationCountry,bcpg:clientTel,bcpg:clientFax,bcpg:clientEmail

mapping.csv.bcpg_supplier=bcpg:code,bcpg:erpCode,cm:name,cm:title,bcpg:code,bcpg:supplierAccountRef\
						,bcpg:supplierState,bcpg:locationAddress1,bcpg:locationAddress2\
						,bcpg:locationAddress3,bcpg:locationZip,bcpg:locationCity,bcpg:locationCountry\
						,bcpg:supplierTel,bcpg:supplierFax,bcpg:supplierEmail


# Lists
mapping.csv.nutList=entity|bcpg:code,entity|bcpg:erpCode,bcpg:nutListNut,bcpg:nutListValue,bcpg:nutListFormulatedValue,bcpg:nutListUnit
mapping.csv.organoList=entity|bcpg:code,entity|bcpg:erpCode,bcpg:organoListOrgano,bcpg:organoListValue
mapping.csv.physicoChemList=entity|bcpg:code,entity|bcpg:erpCode,bcpg:pclPhysicoChem,bcpg:pclValue,bcpg:pclUnit,bcpg:pclMini,bcpg:pclMaxi,bcpg:pclTextCriteria
mapping.csv.compoList=entity|bcpg:code,entity|bcpg:erpCode,bcpg:compoListProduct,bcpg:compoListProduct|bcpg:erpCode,bcpg:compoListQty,bcpg:compoListQtySubFormula,bcpg:compoListUnit,bcpg:compoListLossPerc,bcpg:compoListYieldPerc
mapping.csv.packagingList=entity|bcpg:code,entity|bcpg:erpCode,bcpg:packagingListProduct,bcpg:packagingListProduct|bcpg:erpCode,bcpg:packagingListQty,bcpg:packagingListUnit,bcpg:packagingListLossPerc,bcpg:packagingListPkgLevel,bcpg:packagingListIsMaster
mapping.csv.ingList=entity|bcpg:code,entity|bcpg:eanCode,bcpg:ingListIng,bcpg:ingListIng|bcpg:legalName,bcpg:ingListIng|bcpg:legalName_fr,bcpg:ingListIng|bcpg:legalName_en,bcpg:ingListQtyPerc\
                   ,bcpg:ingListQtyMini,bcpg:ingListQtyMaxi,bcpg:ingListIsGMO,bcpg:ingListIsIonized,bcpg:ingListIsProcessingAid\
                   ,bcpg:ingListIsSupport,bcpg:ingListGeoOrigin,bcpg:ingListGeoTransfo,bcpg:ingListBioOrigin,bcpg:parentLevel


#
#MultiLevel conf
#

#mapping.csv.bcpg_semiFinishedProduct=bcpg:code,bcpg:erpCode,cm:name,cm:title,bcpg:eanCode,bcpg:code,bcpg:legalName,nbProductsPkgLevel2,nbProductsPkgLevel3\
#									,formula|props["bcpg:bestBeforeDate"]!=null ? props["bcpg:bestBeforeDate"] : props["bcpg:useByDate"]
					
#mapping.csv.compoList=entity|bcpg:code,entity|bcpg:erpCode,level,entity|bcpg:netWeight,bcpg:depthLevel\
#	,bcpg:compoListProduct,bcpg:compoListProduct|bcpg:code,bcpg:compoListProduct|bcpg:erpCode,bcpg:compoListQtySubFormula,bcpg:compoListUnit\
#	,qty,formula|props["nbProductsPkgLevel3"]!=null ? props["nbProductsPkgLevel3"] * props["qty"] : props["qty"]\
#	,bcpg:compoListQty,bcpg:compoListLossPerc,bcpg:compoListYieldPerc

		
#mapping.csv.packagingList=entity|bcpg:code,entity|bcpg:erpCode,bcpg:packagingListProduct,bcpg:packagingListProduct|bcpg:code\
#	,bcpg:packagingListProduct|bcpg:erpCode,bcpg:packagingListQty,bcpg:packagingListUnit\
#	,qty,formula|props["bcpg:packagingListQty"]!=null ? props["bcpg:packagingListQty"] * props["qty"] : props["qty"]\
#	,bcpg:packagingListLossPerc,bcpg:packagingListPkgLevel
	

